package com.ym.mec.biz.service;

import com.ym.mec.auth.api.entity.SysUser;

public interface OaUserService {

    /**
     * 添加OA用户
     * @param employee
     * @return
     */
    Object addOaUser(SysUser user);


    /**
     * 修改OA用户
     * @param employee
     * @return
     */
    Object updateOaUser(SysUser user);


    /**
     * 删除OA用户（软删除）
     * @param employee
     * @return
     */
    Object delOaUser(Integer userId);


    /**
     * 恢复OA用户
     * @param employee
     * @return
     */
    Object reInsertOaUser(Integer userId);
}
